from haystack import indexes

from .models import Participation, Team, Video


class TeamIndex(indexes.SearchIndex, indexes.Indexable):
    text = indexes.EdgeNgramField(document=True, model_attr="name")
    trigram = indexes.EdgeNgramField(model_attr="trigram")

    def get_model(self):
        return Team


class ParticipationIndex(indexes.SearchIndex, indexes.Indexable):
    text = indexes.EdgeNgramField(document=True, model_attr="team__name")

    def get_model(self):
        return Participation
