from haystack import indexes

from .models import Registration


class RegistrationIndex(indexes.SearchIndex, indexes.Indexable):
    text = indexes.EdgeNgramField(document=True, model_attr="user__username")
    last_name = indexes.EdgeNgramField(model_attr="user__last_name")
    first_name = indexes.EdgeNgramField(model_attr="user__first_name")
    email = indexes.EdgeNgramField(model_attr="user__email")

    def get_model(self):
        return Registration
